function [we, de, Ae, pe, lam] = BY1_in_LC_multi(wk, Xw, N)
sc = 1;
r = ( -exp(-j*wk(2,:))+exp(-j*wk(1,:)) ) ./ ( -exp(-j*wk(3,:))+exp(-j*wk(2,:)) );	%(5)
R = ( Xw(1,:)-Xw(2,:) )./( Xw(2,:)-Xw(3,:) );			                        %(5)
lam = exp(j*wk(2,:)).*(r-R)./( r.*exp(-j*2*pi/N)-R*exp(j*2*pi/N) );	                %(6)
we = imag(log(lam));	                        %(7)
de = -real(log(lam));	                        %(7)

if round(1e6*R)==-1e6	% coherent sampling, d=0
	Ae = 2*sc*abs(Xw(2,:))/N;
 	pe = angle(Xw(2,:));
else
 	c = (1-lam.^N)./(1-lam.*exp(-j*wk(2,:)));   %(8)
 	c = sc*Xw(2,:)./c;				        %(8)
 	Ae = 2*abs(c);				                %(8)
 	pe = angle(c);				                %(8)
end
%we,de,Ae,pe,pause
